Page MenuHomeFreeBSD

Add capability to disable CRC stripping. This breaks IPMI/BMC capabilities on certain adatpers.
ClosedPublic

Authored by sbruno on Aug 3 2015, 6:01 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jan 15, 2:24 PM
Unknown Object (File)
Dec 29 2022, 9:57 AM
Unknown Object (File)
Apr 27 2017, 7:03 AM
Unknown Object (File)
Apr 17 2017, 10:27 AM
Unknown Object (File)
Apr 16 2017, 3:42 AM
Unknown Object (File)
Apr 14 2017, 7:23 AM
Unknown Object (File)
Apr 9 2017, 2:50 PM
Unknown Object (File)
Apr 1 2017, 12:43 PM
Subscribers

Details

Reviewers
hiren
erj
wblock
Summary

Add system tuneable to disable CRC stripping.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 120
Build 120: arc lint + arc unit

Event Timeline

sbruno retitled this revision from to Add capability to disable CRC stripping. This breaks IPMI/BMC capabilities on certain adatpers..
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added reviewers: erj, hiren.
hiren edited edge metadata.
This revision is now accepted and ready to land.Aug 3 2015, 6:19 PM

Cool, surprised this wasn't caught earlier :)

sbruno edited edge metadata.

Add manpage update for new tuneable, disable_crc_stripping.

This revision now requires review to proceed.Aug 4 2015, 9:01 PM

Remember to update .Dd in the man page also, and run igor -R and mandoc -Tlint on it just to be sure. Thanks!

share/man/man4/em.4
209

The second sentence should start on a separate line. The second sentence is kind of a fragment, maybe better with "This is mostly useful on..."

sbruno edited edge metadata.

Address man page comments/fixups

share/man/man4/em.4
212

Needs a closing period to be consistent with other entries.

sbruno edited edge metadata.

Sentences end in periods.

wblock added a reviewer: wblock.

Man page changes look okay to me. Thanks!

This revision is now accepted and ready to land.Aug 5 2015, 3:58 PM
erj edited edge metadata.
sbruno edited edge metadata.

Set RDTUN on hw.em.disable_crc_stripping

This revision now requires review to proceed.Aug 16 2015, 7:04 PM
hiren edited edge metadata.
This revision is now accepted and ready to land.Aug 16 2015, 9:13 PM